import { HttpClient } from '@angular/common/http';
import { BaseApiTemplateService, ApiVisa } from '../../../shared';
import { Observable } from 'rxjs';
import { ApiResponseModel } from '../../../shared/api-response.model';
import { Pagination } from '../../../shared/pagination.model';
import { PagingResponseModel } from '../../../shared/api-response.model';
export declare class DeliveryPlanService extends BaseApiTemplateService<any> {
    constructor(http: HttpClient);
    updateLinks(payload: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    createRecurring(payload: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    updateRecurring(payload: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    deleteRecurring(guid: any, deleteType: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    getDeliveryPlanCalendarView(pagination: Pagination, visa: ApiVisa, criteria?: any): Observable<PagingResponseModel<any>>;
}
